> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update gate

> Update a gate's details



## OpenAPI

````yaml patch /videos/{VIDEO_ID}/gates/{GATE_ID}
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /videos/{VIDEO_ID}/gates/{GATE_ID}:
    parameters:
      - $ref: '#/components/parameters/videoId'
      - $ref: '#/components/parameters/gateId'
    patch:
      tags:
        - Videos
      summary: Update gate
      description: Update a gate's details
      requestBody:
        $ref: '#/components/requestBodies/Gate'
      responses:
        '200':
          $ref: '#/components/responses/Gate'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    videoId:
      name: VIDEO_ID
      in: path
      description: ID of the video
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
    gateId:
      name: GATE_ID
      in: path
      description: ID of the gate
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  requestBodies:
    Gate:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                description: A short label for the gate
                type: string
                maxLength: 100
              show_at:
                description: The time-code the gate should appear at, as HH:MM:SS
                type: string
                maxLength: 8
              skip:
                description: Can the user skip/hide it?
                type: boolean
              top_text:
                description: The main text shown on the gate
                type: string
                maxLength: 100
              bottom_text:
                description: The lower text shown on the gate
                type: string
                maxLength: 100
              fields:
                description: The fields to ask For
                type: array
                items:
                  type: object
                  properties:
                    label:
                      type: string
                      enum:
                        - Email
                        - First name
                        - Last name
                    value:
                      type: string
                      enum:
                        - email
                        - first_name
                        - last_name
              connect_service_id:
                description: >-
                  The id of a service connected to your account (such as
                  Mailchimp)
                type: string
                maxLength: 100
              connect_list_id:
                description: >-
                  The id of a contacts list (audience) you have within that
                  connected service that the viewer's data will be added to
                type: string
                maxLength: 100
  responses:
    Gate:
      description: Gate
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/Gate'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    Gate:
      type: object
      required:
        - id
        - name
        - show_at
        - skip
        - top_text
        - bottom_text
        - fields
        - connect_service_id
        - connect_list_id
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        name:
          type: string
          minLength: 1
          maxLength: 200
          example: Example
        show_at:
          type: string
          example: '00:00:05'
        skip:
          type: boolean
          example: false
        top_text:
          type: string
          example: Example text
        bottom_text:
          type: string
          example: Bottom text
        fields:
          type: array
          items:
            type: object
            properties:
              label:
                type: string
              value:
                type: string
          example:
            - label: Email
              value: email
        connect_service_id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        connect_list_id:
          type: string
          minLength: 1
          maxLength: 100
          example: abcde
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````